halo_admin_upload:
    pattern: /upload
    defaults: { _controller: AdminBundle:Home:upload }
halo_admin_homepage:
    pattern:  /
    defaults: { _controller: AdminBundle:Home:index }
halo_admin_login:
    pattern:  /login
    defaults: { _controller: AdminBundle:Login:login }
halo_admin_login_check:
    pattern:  /login_check
halo_admin_logout:
    pattern:  /logout
halo_admin_log:
    pattern:  /log
    defaults: { _controller: AdminBundle:Log:list }
halo_admin_stats:
    pattern:  /stats/{mode}
    defaults: { _controller: AdminBundle:Home:stats, mode: all }

#halo_admin_general:
#    pattern:  /general
#    defaults: { _controller: AdminBundle:General:settings }
halo_admin_feedback:
    pattern:  /feedback
    defaults: { _controller: AdminBundle:General:feedback }
halo_admin_eelseorder:
    pattern:  /eelseorder
    defaults: { _controller: AdminBundle:General:eelseorder }
    
halo_admin_delete:
    pattern:  /{path}/delete/{id}
    defaults: { _controller: AdminBundle:Data:delete }
halo_admin_edit:
    pattern:  /{path}/edit/{id}/{parentid}
    defaults: { _controller: AdminBundle:Data:edit, parentid:0 }
halo_admin_action:
    pattern:  /{path}/{action}/{id}
    defaults: { _controller: AdminBundle:Data:action }
halo_admin_list_wp:
    pattern:  /{path}/{parentid}
    defaults: { _controller: AdminBundle:Data:list }
    requirements:
        parentid: \d+
halo_admin_list:
    pattern:  /{path}
    defaults: { _controller: AdminBundle:Data:list }

